Get conversation metrics config using the legacy path
curl --request GET \
--url https://api.coval.dev/v1/organization/monitoring-metrics \
--header 'x-api-key: <api-key>'import requests
url = "https://api.coval.dev/v1/organization/monitoring-metrics"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.coval.dev/v1/organization/monitoring-metrics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"default_conversation_metrics": [
"8EktrIgaVxn9LfxkIynagX"
],
"conditional_conversation_metrics": [
{
"id": "rule-voice",
"type": "RUN_METADATA",
"metadata_key": "channel",
"metadata_type": "STRING",
"match_type": "EQUALS",
"metadata_value": "voice",
"metric": "8EktrIgaVxn9LfxkIynagX",
"metrics": [
"8EktrIgaVxn9LfxkIynagX"
]
}
]
}{
"error": {
"code": "UNAUTHENTICATED",
"message": "Authentication failed",
"details": [
{
"field": "x-api-key",
"description": "API key is required in the x-api-key header"
}
]
}
}{
"error": {
"code": "PERMISSION_DENIED",
"message": "Insufficient permissions",
"details": [
{
"field": "permissions",
"description": "The API key does not include the required organization permission."
}
]
}
}{
"error": {
"code": "NOT_FOUND",
"message": "Organization not found",
"details": [
{
"description": "Organization not found."
}
]
}
}{
"error": {
"code": "INTERNAL",
"message": "Internal server error",
"details": [
{
"description": "An unexpected error occurred while processing the organization request"
}
]
}
}Conversations Config
Get conversation metrics config using the legacy path
deprecated
Deprecated alias for GET /organization/conversation-metrics. Returns the selected workspace’s conversation metrics configuration.
GET
/
organization
/
monitoring-metrics
Get conversation metrics config using the legacy path
Authorizations
API key for authentication
Headers
Workspace whose conversation metrics configuration is read or updated. When omitted, the organization's active default workspace is used when one can be resolved.
Response
Successful response
Was this page helpful?